------------------------------------------------------------------------------------------
-- LoadAndSave file
-- Written by Homeopatix
-- 26 january 2021
------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------
-- create or load the settings
------------------------------------------------------------------------------------------
function LoadSettings()
	local _settings = PatchDataLoad(Turbine.DataScope.Character, settingsFileName, settings);
    if (_settings ~= nil) then 
		settings = _settings; 
	end


	---that is just for me
	if(settings["nbrPlugins"]["nbr"] == 17 or
	settings["nbrPlugins"]["nbr"] == 18 or
	settings["nbrPlugins"]["nbr"] == 19 or
	settings["nbrPlugins"]["nbr"] == 20 or
	settings["nbrPlugins"]["nbr"] == 21 or
	settings["nbrPlugins"]["nbr"] == 22 or
	settings["nbrPlugins"]["nbr"] == 23 or
	settings["nbrPlugins"]["nbr"] == 24 or
	settings["nbrPlugins"]["nbr"] == 25 or
	settings["nbrPlugins"]["nbr"] == 26 or
	settings["nbrPlugins"]["nbr"] == 27 or
    settings["nbrPlugins"]["nbr"] == 28 or
    settings["nbrPlugins"]["nbr"] == 29  or
    settings["nbrPlugins"]["nbr"] == 30)then
		settings["nbrPlugins"]["nbr"] = 29;
	end

	 if ( not settings.altEnable) then	
		settings = {
            windowPosition = { 
                xPos = 500, 
                yPos = 500 
            },
            IconPosition = { 
                xPosIcon = 500, 
                yPosIcon = 500 
            },
            nbrPlugins = { 
                --nbr = 26
                -- for me only
                nbr = 29
            },
            isMinimizeEnabled = { 
                isMinimizeEnabled = true 
            },
            isWindowVisible = { 
                isWindowVisible = true 
            },
            isOptionsWindowVisible = { 
                isOptionsWindowVisible = false 
            },
            verbose = { 
                value = false 
            },
            pluginsToLoad = { 
                toBeLoaded1 = true,
                toBeLoaded2 = true,
                toBeLoaded3 = true,
                toBeLoaded4 = true,
                toBeLoaded5 = true,
                toBeLoaded6 = true,
                toBeLoaded7 = true,
                toBeLoaded8 = true,
                toBeLoaded9 = true,
                toBeLoaded10 = true,
                toBeLoaded11 = true,
                toBeLoaded12 = true,
                toBeLoaded13 = true,
                toBeLoaded14 = true,
                toBeLoaded15 = true,
                toBeLoaded16 = true,
                toBeLoaded17 = true,
                toBeLoaded18 = true,
                toBeLoaded19 = true,
                toBeLoaded20 = true,
                toBeLoaded21 = true,
                toBeLoaded22 = true,
                toBeLoaded23 = true,
                toBeLoaded24 = true,
                toBeLoaded25 = true,
                toBeLoaded26 = true,
                toBeLoaded27 = true,
                toBeLoaded28 = true,
                toBeLoaded29 = true
            },
            hasBeenChecked = { 
                value = false 
            },
            escEnable = { 
                escEnable = true 
            },
            altEnable = { 
                altEnable = true 
            }
        };
	 end
end
------------------------------------------------------------------------------------------
-- create the save settings
------------------------------------------------------------------------------------------
function SaveSettings()
	settings["windowPosition"]["xPos"] = tostring(OneToRuleThemAllWindow:GetLeft());
    settings["windowPosition"]["yPos"] = tostring(OneToRuleThemAllWindow:GetTop());
    settings["IconPosition"]["xPosIcon"] = tostring(MainMinimizedIcon:GetLeft());
   	settings["IconPosition"]["yPosIcon"] = tostring(MainMinimizedIcon:GetTop());
	settings["isMinimizeEnabled"]["isMinimizeEnabled"] = settings["isMinimizeEnabled"]["isMinimizeEnabled"];
	settings["isWindowVisible"]["isWindowVisible"] = settings["isWindowVisible"]["isWindowVisible"];
	settings["isOptionsWindowVisible"]["isOptionsWindowVisible"] = settings["isOptionsWindowVisible"]["isOptionsWindowVisible"];
	settings["escEnable"]["escEnable"] = settings["escEnable"]["escEnable"];
	settings["altEnable"]["altEnable"] = settings["altEnable"]["altEnable"];
	settings["hasBeenChecked"]["value"] = settings["hasBeenChecked"]["value"];
	settings["nbrPlugins"]["nbr"] = settings["nbrPlugins"]["nbr"];
	for i=1, settings["nbrPlugins"]["nbr"] do
		settings["pluginsToLoad"]["toBeLoaded" .. i] = settings["pluginsToLoad"]["toBeLoaded" .. i];
	end

	PatchDataSave( Turbine.DataScope.Character, settingsFileName, settings);
end